Package org.apache.tools.ant.taskdefs.optional.extension

# Class ExtraAttribute

java.lang.Object
org.apache.tools.ant.taskdefs.optional.extension.ExtraAttribute

    public class ExtraAttribute
    extends java.lang.Object

Simple holder for extra attributes in main section of manifest.

To do:
  Refactor this and all the other parameter, sysproperty, property etc into a single class in framework

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ExtraAttribute()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `setName​(java.lang.String name)` | Set the name of the parameter.
`void` | `setValue​(java.lang.String value)` | Set the value of the parameter.
`void` | `validate()` | Make sure that neither the name or the value is null.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtraAttribute

public ExtraAttribute()

## Method Details

### setName

public void setName​(java.lang.String name)
Set the name of the parameter.

Parameters:
  `name` - the name of parameter

### setValue

public void setValue​(java.lang.String value)
Set the value of the parameter.

Parameters:
  `value` - the parameter value

### validate

public void validate() throws BuildException
Make sure that neither the name or the value is null.

Throws:
  `BuildException` - if the attribute is invalid.